# Ogre::Any::placeholder Class Reference

`#include <OgreAny.h>`

Inheritance diagram for Ogre::Any::placeholder:

[legend]

List of all members.

## Public Member Functions

virtual | ~placeholder ()
virtual const std::type_info & | getType () const =0
virtual placeholder * | clone () const =0
virtual void | writeToStream (std::ostream &o)=0

## Detailed Description

Definition at line 120 of file OgreAny.h.

## Constructor & Destructor Documentation

virtual Ogre::Any::placeholder::~placeholder | ( |  | ) | `[virtual]`

Definition at line 124 of file OgreAny.h.

## Member Function Documentation

virtual const std::type_info& Ogre::Any::placeholder::getType | ( |  | ) | const`[pure virtual]`

Implemented in Ogre::Any::holder< ValueType >, and Ogre::AnyNumeric::numholder< ValueType >.

Referenced by Ogre::Any::getType().

virtual placeholder* Ogre::Any::placeholder::clone | ( |  | ) | const`[pure virtual]`

Implemented in Ogre::Any::holder< ValueType >, and Ogre::AnyNumeric::numholder< ValueType >.

Referenced by Ogre::AnyNumeric::AnyNumeric().

virtual void Ogre::Any::placeholder::writeToStream | ( | std::ostream & | o | ) | `[pure virtual]`

Implemented in Ogre::Any::holder< ValueType >, and Ogre::AnyNumeric::numholder< ValueType >.

The documentation for this class was generated from the following file:

- OgreAny.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Jul 26 11:32:45 2009